AnsweredAssumed Answered

ArcGIS JavaScript API with jQuery: Error: multipleDefine

Question asked by mshukun1 on Mar 28, 2017
Latest reply on Mar 28, 2017 by agup-esristaff

I would like to use ArcGIS JavaScript API 4.3 with jQuery, but I am getting following errors.  I searched for a solution and tried it a few (code below), but they didn't work at all.  How could I import jQuery without conflict with dojo?  I would very much appreciate your assistance.

 

 

  <script src="https://js.arcgis.com/4.3/"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
 
  <script type="text/javascript">
    define.amd.jQuery = true;
    var dojoConfig = {
        async: true,
        paths: {
            jquery: "https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"
        }
    };
    require([
        "jquery",
        "esri/Map",
        "esri/views/SceneView",
        "esri/WebScene",
        "dojo/dom",
        "dojo/dom-style",
        'dojo/_base/lang',
        "dojo/domReady!"
    ], function($, Map, SceneView, WebScene, dom, domStyle, lang)
    {

Outcomes